Description

Supportanfrage:

Ich möchte einen Watchdog Filter implementieren, der alle 10 ms ein Signal heraussendet.

In dem Beispiel src\examples\src\adtf\filters\standard_filters\time_triggered_filter wird von cTriggerFunction abgeleitet und

ADTF_TRIGGER_FUNCTION_FILTER_PLUGIN wird adtf::filter::timer_trigger(100000) angegeben.

Dieser Wert hat jedoch keine Auswirkung, wenn der Filter alleine im FilterGraph steht.

Es wird also nie die Process-Funktion aufgerufen.

 Watchdog.PNG 

Schließe ich an den Filter den TimerRunner an, so wird die Process Funktion aufgerufen, jedoch zu der TimePeriod, die im

TimerRunner angegeben ist.

 WatchdogTimer.PNG 

Was bewirkt die Codezeile adtf::filter::timer_trigger(100000) ?

Oder mache ich etwas falsch in der Benutzung?

Danke und viele Grüße

Denny

Lösung:

Das Ziel ist es hier zu deklarieren was man für einen Trigger möchte und mit welchem Intervall.

Der CE (Integrator) muss diese dann bedienen, kann sich aber auch dagegen entscheiden.

Es sollte eine Automatismus geschaffen schaffen, das der passende Trigger automatisch angelegt bzw. gesucht und verbunden

wird.

History

#1 - 2018-08-08 14:32 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::FilterSDK

#2 - 2018-08-10 13:25 - hidden

Hallo Denny,

die Thread-Trigger- und Time-Trigger-Deklarationen sind "voll der Blender".

Die müsste man meiner Meinung nach einfach rausschmeißen und durch "Externally-triggered" ersetzen.

Siehe auch: https://support.digitalwerk.net/issues/1816#note-3

Alles reichlich unintuitiv gemacht.

#3 - 2018-08-14 13:36 - hidden

Ja das ist im Moment noch ziemlich verwirrend.
https://support.digitalwerk.net/issues/1816#note-3


Das Ziel ist es hier zu deklarieren was man für einen Trigger möchte und mit welchem Intervall. Der  CE (Integrator) muss diese dann bedienen, kann

sich aber auch dagegen entscheiden. Ziel war es hier auch einen Automatismus zu schaffen, das der passende Trigger automatisch angelegt bzw.

gesucht und verbunden wird.

Grüße,

Sebastian

#4 - 2018-08-14 16:19 - hidden

- Status changed from In Progress to Customer Feedback Required

#5 - 2018-08-17 08:27 - hidden

Hallo Denny Hecht,

kann das Ticket damit geschlossen werden?

Bitte bis spätestens 21.08.2018 Feedback geben

Gruß,

Michael

#6 - 2018-08-17 08:54 - hidden

Hallo Michael,

ja das Ticket kann zugemacht werden.

Viele Grüße

Denny

#7 - 2018-08-17 15:15 - hidden

- Subject changed from Vertändnisfrage timer_trigger to How to use timer_trigger in a filter

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Known Problem

#8 - 2018-08-17 15:16 - hidden

- Description updated

#9 - 2018-08-29 08:43 - hidden

- Description updated

#10 - 2018-08-29 08:43 - hidden

- Project changed from 20 to Public Support

#11 - 2018-09-11 15:39 - hidden

- Status changed from To Be Closed to Closed

#12 - 2018-09-11 17:07 - hidden

- Private changed from Yes to No
